import { defineConfig } from 'vitepress'

export default defineConfig({
  title: 'Funkwhale Vue Components',
  cleanUrls: true,
  cacheDir: './.vitepress/.vite',
  themeConfig: {
    nav: [
      { text: 'Home', link: 'https://funkwhale.audio' },
      { text: 'Gitlab', link: 'https://dev.funkwhale.audio/funkwhale/ui' },
    ],
    sidebar: [
      {
        text: 'Components',
        items: [
          { text: 'Activity', link: '../../src/components/ui/activity.md' },
          { text: 'Alert', link: '../../src/components/ui/alert' },
          {
            text: 'Card', link: '../../src/components/ui/card',
            items: [
              { text: 'Album Card', link: '../../src/components/ui/card/album' },
              { text: 'Artist Card', link: '../../src/components/ui/card/artist' },
              { text: 'Playlist Card', link: '../../src/components/ui/card/playlist' },
              { text: 'Podcast Card', link: '../../src/components/ui/card/podcast' },
              { text: 'Radio Card', link: '../../src/components/ui/card/radio' },
            ],
          },
          {
            text: 'Content Navigation',
            items: [
              { text: 'Pagination', link: '../../src/components/ui/pagination' },
              { text: 'Table of Contents', link: '../../src/components/ui/toc' },
              { text: 'Tabs', link: '../../src/components/ui/tabs' },
            ],
          },
          {
            text: 'Form',
            items: [
              {
                text: 'Button', link: '../../src/components/ui/button',
                items: [
                  { text: 'Options Button', link: '../../src/components/ui/button/options' },
                  { text: 'Play Button', link: '../../src/components/ui/button/play' },
                ],
              },
              { text: 'Input', link: '../../src/components/ui/input' },
              { text: 'Popover', link: '../../src/components/ui/popover' },
              { text: 'Textarea', link: '../../src/components/ui/textarea' },
              { text: 'Toggle', link: '../../src/components/ui/toggle' },
            ],
          },
          {
            text: 'Layout', link: '../../src/components/ui/layout/',
            items: [{ text: "Spacer", link: "../../src/components/ui/layout/spacer" }]
          },
          { text: 'Loader', link: '../../src/components/ui/loader' },
          { text: 'Modal', link: '../../src/components/ui/modal' },
          { text: 'Pill', link: '../../src/components/ui/pill' },
        ],
      },
    ],
    search: {
      provider: 'local',
    },
  },
})
